Bug 969865 - yum update (libetpan-devel) transaction error; files conflict between libdb-devel and db4-devel
yum update (libetpan-devel) transaction error; files conflict between libdb-d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libetpan (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 15:17 EDT by Allen Hewes
Modified: 2013-07-31 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:32:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libetpan.spec diff to correct libdb-devel getting dragged in versus using db4-devel. (1.77 KB, patch)
2013-06-02 16:57 EDT, Allen Hewes
no flags Details | Diff

  None (edit)
Description Allen Hewes 2013-06-02 15:17:42 EDT
Description of problem:
Running yum update today (6/1) on my Fedora 17 x86_64 systems has Transaction Check Errors:

Transaction Check Error:
  file /usr/include/db.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/include/db_185.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/include/db_cxx.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/lib64/libdb.so from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64

You can't just easily remove db4-devel, there's stuff that depends on it.

libdb-devel is getting dragged in by a dependency. I don't know which package it is yet.

Version-Release number of selected component (if applicable):
libdb-devel-5.2.36-5.fc17.x86_64
db4-devel-4.8.30-10.fc17.x86_64

How reproducible:
100% of the time; just run yum update on a Fedora 17 system.


Steps to Reproduce:
1. sudo yum clean all
2. sudo rm -rf /var/cache/yum/x86_64/17/timedhosts
3. sudo yum update

Actual results:
$ sudo yum update
Loaded plugins: auto-update-debuginfo, downloadonly, fastestmirror, langpacks, presto, protectbase, refresh-packagekit, security
adobe-linux-i386                                                                                             |  951 B  00:00:00     
adobe-linux-x86_64                                                                                           |  951 B  00:00:00     
fedora/17/x86_64/metalink                                                                                    |  19 kB  00:00:00     
fedora                                                                                                       | 4.2 kB  00:00:00     
google-chrome                                                                                                |  951 B  00:00:00     
rpmfusion-free                                                                                               | 3.3 kB  00:00:00     
rpmfusion-free-updates                                                                                       | 3.3 kB  00:00:00     
rpmfusion-free-updates-debuginfo                                                                             | 2.7 kB  00:00:00     
rpmfusion-nonfree                                                                                            | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                    | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates-debuginfo                                                                          | 2.7 kB  00:00:00     
scootersoftware                                                                                              |  951 B  00:00:00     
spideroak-stable                                                                                             | 1.9 kB  00:00:00     
updates/17/x86_64/metalink                                                                                   |  16 kB  00:00:00     
updates                                                                                                      | 4.6 kB  00:00:00     
updates-debuginfo/17/x86_64/metalink                                                                         |  14 kB  00:00:00     
updates-debuginfo                                                                                            | 3.0 kB  00:00:00     
virtualbox                                                                                                   |  951 B  00:00:00     
(1/3): updates-debuginfo/primary_db                                                                          | 745 kB  00:00:01     
(2/3): updates/primary_db                                                                                    | 8.2 MB  00:00:05     
(3/3): fedora/primary_db                                                                                     |  14 MB  00:00:06     
(1/10): google-chrome/primary                                                                                | 1.9 kB  00:00:00     
(2/10): adobe-linux-x86_64/primary                                                                           | 1.2 kB  00:00:00     
(3/10): adobe-linux-i386/primary                                                                             |  12 kB  00:00:00     
(4/10): rpmfusion-free-updates/primary_db                                                                    | 403 kB  00:00:00     
(5/10): scootersoftware/primary                                                                              | 1.3 kB  00:00:00     
(6/10): rpmfusion-nonfree/primary_db                                                                         | 138 kB  00:00:00     
(7/10): rpmfusion-free/primary_db                                                                            | 403 kB  00:00:00     
(8/10): rpmfusion-nonfree-updates/primary_db                                                                 | 257 kB  00:00:00     
(9/10): spideroak-stable/primary_db                                                                          |  16 kB  00:00:00     
(10/10): virtualbox/primary                                                                                  | 4.1 kB  00:00:00     
Determining fastest mirrors
 * fedora: mirror.clarkson.edu
 * fedora-debuginfo: mirror.clarkson.edu
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-debuginfo: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-free-updates-debuginfo: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-debuginfo: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates-debuginfo: mirror.us.leaseweb.net
 * updates: mirror.clarkson.edu
 * updates-debuginfo: mirror.clarkson.edu
fedora/group_gz                                                                                              | 434 kB  00:00:00     
rpmfusion-free/group_gz                                                                                      | 1.6 kB  00:00:00     
rpmfusion-free-updates/group_gz                                                                              | 1.6 kB  00:00:00     
rpmfusion-nonfree/group_gz                                                                                   | 1.0 kB  00:00:00     
rpmfusion-nonfree-updates/group_gz                                                                           | 1.0 kB  00:00:00     
updates/group_gz                                                                                             | 439 kB  00:00:00     
adobe-linux-i386                                                                                                              17/17
adobe-linux-x86_64                                                                                                              2/2
google-chrome                                                                                                                   3/3
scootersoftware                                                                                                                 1/1
virtualbox                                                                                                                    13/13
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package amarok.x86_64 0:2.7.0-2.fc17 will be updated
---> Package amarok.x86_64 0:2.7.1-2.fc17 will be an update
---> Package amarok-doc.noarch 0:2.7.0-2.fc17 will be updated
---> Package amarok-doc.noarch 0:2.7.1-2.fc17 will be an update
---> Package amarok-libs.x86_64 0:2.7.0-2.fc17 will be updated
---> Package amarok-libs.x86_64 0:2.7.1-2.fc17 will be an update
---> Package amarok-utils.x86_64 0:2.7.0-2.fc17 will be updated
---> Package amarok-utils.x86_64 0:2.7.1-2.fc17 will be an update
---> Package glibc.i686 0:2.15-58.fc17 will be updated
---> Package glibc.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc.i686 0:2.15-59.fc17 will be an update
---> Package glibc.x86_64 0:2.15-59.fc17 will be an update
---> Package glibc-common.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc-common.x86_64 0:2.15-59.fc17 will be an update
---> Package glibc-debuginfo.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc-debuginfo.x86_64 0:2.15-59.fc17 will be an update
---> Package glibc-debuginfo-common.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc-debuginfo-common.x86_64 0:2.15-59.fc17 will be an update
---> Package glibc-devel.i686 0:2.15-58.fc17 will be updated
---> Package glibc-devel.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc-devel.i686 0:2.15-59.fc17 will be an update
---> Package glibc-devel.x86_64 0:2.15-59.fc17 will be an update
---> Package glibc-headers.x86_64 0:2.15-58.fc17 will be updated
---> Package glibc-headers.x86_64 0:2.15-59.fc17 will be an update
---> Package libetpan.x86_64 0:1.1-2.fc17 will be updated
---> Package libetpan.x86_64 0:1.1-5.fc17 will be an update
---> Package libetpan-devel.x86_64 0:1.1-2.fc17 will be updated
---> Package libetpan-devel.x86_64 0:1.1-5.fc17 will be an update
--> Processing Dependency: libdb-devel < 5.4 for package: libetpan-devel-1.1-5.fc17.x86_64
--> Processing Dependency: liblockfile-devel for package: libetpan-devel-1.1-5.fc17.x86_64
---> Package nscd.x86_64 0:2.15-58.fc17 will be updated
---> Package nscd.x86_64 0:2.15-59.fc17 will be an update
---> Package perl-Mail-DKIM.noarch 0:0.39-4.fc17 will be updated
---> Package perl-Mail-DKIM.noarch 0:0.40-1.fc17 will be an update
---> Package thunderbird.x86_64 0:17.0.4-1.fc17 will be updated
---> Package thunderbird.x86_64 0:17.0.6-1.fc17 will be an update
---> Package wine.i686 0:1.5.25-1.fc17 will be updated
---> Package wine.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-alsa.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-alsa.x86_64 0:1.5.25-1.fc17 will be updated
---> Package wine-alsa.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-alsa.x86_64 0:1.5.29-1.fc17 will be an update
---> Package wine-capi.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-capi.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-cms.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-cms.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-common.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-common.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-core.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-core.x86_64 0:1.5.25-1.fc17 will be updated
---> Package wine-core.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-core.x86_64 0:1.5.29-1.fc17 will be an update
---> Package wine-courier-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-courier-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-debuginfo.x86_64 0:1.5.25-1.fc17 will be updated
---> Package wine-debuginfo.x86_64 0:1.5.29-1.fc17 will be an update
---> Package wine-desktop.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-desktop.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-filesystem.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-filesystem.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-fonts.noarch 0:1.5.29-1.fc17 will be an update
--> Processing Dependency: wine-fixedsys-fonts = 1.5.29-1.fc17 for package: wine-fonts-1.5.29-1.fc17.noarch
---> Package wine-ldap.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-ldap.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-marlett-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-marlett-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-ms-sans-serif-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-ms-sans-serif-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-openal.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-openal.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-pulseaudio.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-pulseaudio.x86_64 0:1.5.25-1.fc17 will be updated
---> Package wine-pulseaudio.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-pulseaudio.x86_64 0:1.5.29-1.fc17 will be an update
---> Package wine-small-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-small-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-symbol-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-symbol-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-system-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-system-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-systemd.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-systemd.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-tahoma-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-tahoma-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-twain.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-twain.i686 0:1.5.29-1.fc17 will be an update
---> Package wine-wingdings-fonts.noarch 0:1.5.25-1.fc17 will be updated
---> Package wine-wingdings-fonts.noarch 0:1.5.29-1.fc17 will be an update
---> Package wine-wow.i686 0:1.5.25-1.fc17 will be updated
---> Package wine-wow.i686 0:1.5.29-1.fc17 will be an update
---> Package xorg-x11-drv-openchrome.x86_64 0:0.2.906-1.fc17 will be updated
---> Package xorg-x11-drv-openchrome.x86_64 0:0.3.3-1.fc17 will be an update
--> Running transaction check
---> Package libdb-devel.x86_64 0:5.2.36-5.fc17 will be installed
---> Package liblockfile-devel.x86_64 0:1.08-14.fc17 will be installed
---> Package wine-fixedsys-fonts.noarch 0:1.5.29-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
 Package                                 Arch                  Version                       Repository                        Size
====================================================================================================================================
Updating:
 amarok                                  x86_64                2.7.1-2.fc17                  updates                          4.9 M
 amarok-doc                              noarch                2.7.1-2.fc17                  updates                           30 M
 amarok-libs                             x86_64                2.7.1-2.fc17                  updates                          3.0 M
 amarok-utils                            x86_64                2.7.1-2.fc17                  updates                          124 k
 glibc                                   i686                  2.15-59.fc17                  updates                          4.1 M
 glibc                                   x86_64                2.15-59.fc17                  updates                          3.5 M
 glibc-common                            x86_64                2.15-59.fc17                  updates                           11 M
 glibc-debuginfo                         x86_64                2.15-59.fc17                  updates-debuginfo                9.0 M
 glibc-debuginfo-common                  x86_64                2.15-59.fc17                  updates-debuginfo                8.1 M
 glibc-devel                             i686                  2.15-59.fc17                  updates                          991 k
 glibc-devel                             x86_64                2.15-59.fc17                  updates                          990 k
 glibc-headers                           x86_64                2.15-59.fc17                  updates                          615 k
 libetpan                                x86_64                1.1-5.fc17                    updates                          273 k
 libetpan-devel                          x86_64                1.1-5.fc17                    updates                          100 k
 nscd                                    x86_64                2.15-59.fc17                  updates                          233 k
 perl-Mail-DKIM                          noarch                0.40-1.fc17                   updates                          133 k
 thunderbird                             x86_64                17.0.6-1.fc17                 updates                           38 M
 wine                                    i686                  1.5.29-1.fc17                 updates                           41 k
 wine-alsa                               i686                  1.5.29-1.fc17                 updates                           85 k
 wine-alsa                               x86_64                1.5.29-1.fc17                 updates                           88 k
 wine-capi                               i686                  1.5.29-1.fc17                 updates                           45 k
 wine-cms                                i686                  1.5.29-1.fc17                 updates                           60 k
 wine-common                             noarch                1.5.29-1.fc17                 updates                           93 k
 wine-core                               i686                  1.5.29-1.fc17                 updates                           16 M
 wine-core                               x86_64                1.5.29-1.fc17                 updates                           16 M
 wine-courier-fonts                      noarch                1.5.29-1.fc17                 updates                           54 k
 wine-debuginfo                          x86_64                1.5.29-1.fc17                 updates-debuginfo                 45 M
 wine-desktop                            noarch                1.5.29-1.fc17                 updates                          143 k
 wine-filesystem                         noarch                1.5.29-1.fc17                 updates                           70 k
 wine-fonts                              noarch                1.5.29-1.fc17                 updates                           41 k
 wine-ldap                               i686                  1.5.29-1.fc17                 updates                          109 k
 wine-marlett-fonts                      noarch                1.5.29-1.fc17                 updates                           53 k
 wine-ms-sans-serif-fonts                noarch                1.5.29-1.fc17                 updates                           67 k
 wine-openal                             i686                  1.5.29-1.fc17                 updates                           52 k
 wine-pulseaudio                         i686                  1.5.29-1.fc17                 updates                           75 k
 wine-pulseaudio                         x86_64                1.5.29-1.fc17                 updates                           77 k
 wine-small-fonts                        noarch                1.5.29-1.fc17                 updates                           56 k
 wine-symbol-fonts                       noarch                1.5.29-1.fc17                 updates                           67 k
 wine-system-fonts                       noarch                1.5.29-1.fc17                 updates                           59 k
 wine-systemd                            noarch                1.5.29-1.fc17                 updates                           41 k
 wine-tahoma-fonts                       noarch                1.5.29-1.fc17                 updates                          113 k
 wine-twain                              i686                  1.5.29-1.fc17                 updates                           67 k
 wine-wingdings-fonts                    noarch                1.5.29-1.fc17                 updates                           52 k
 wine-wow                                i686                  1.5.29-1.fc17                 updates                          205 k
 xorg-x11-drv-openchrome                 x86_64                0.3.3-1.fc17                  updates                          160 k
Installing for dependencies:
 libdb-devel                             x86_64                5.2.36-5.fc17                 fedora                            44 k
 liblockfile-devel                       x86_64                1.08-14.fc17                  updates                           11 k
 wine-fixedsys-fonts                     noarch                1.5.29-1.fc17                 updates                           53 k

Transaction Summary
====================================================================================================================================
Install              ( 3 Dependent packages)
Upgrade  45 Packages

Total download size: 194 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates/prestodelta                                                                                          | 1.6 MB  00:00:01     
Processing delta metadata
Download delta size: 24 M
(1/37): amarok-2.7.0-2.fc17_2.7.1-2.fc17.x86_64.drpm                                                         | 287 kB  00:00:00     
(2/37): amarok-doc-2.7.0-2.fc17_2.7.1-2.fc17.noarch.drpm                                                     | 695 kB  00:00:00     
(3/37): amarok-libs-2.7.0-2.fc17_2.7.1-2.fc17.x86_64.drpm                                                    | 421 kB  00:00:00     
(4/37): amarok-utils-2.7.0-2.fc17_2.7.1-2.fc17.x86_64.drpm                                                   | 107 kB  00:00:00     
(5/37): glibc-2.15-58.fc17_2.15-59.fc17.i686.drpm                                                            | 836 kB  00:00:00     
(6/37): glibc-2.15-58.fc17_2.15-59.fc17.x86_64.drpm                                                          | 575 kB  00:00:00     
(7/37): glibc-common-2.15-58.fc17_2.15-59.fc17.x86_64.drpm                                                   |  10 MB  00:00:02     
(8/37): glibc-devel-2.15-58.fc17_2.15-59.fc17.i686.drpm                                                      | 171 kB  00:00:00     
(9/37): glibc-devel-2.15-58.fc17_2.15-59.fc17.x86_64.drpm                                                    | 171 kB  00:00:00     
(10/37): glibc-headers-2.15-58.fc17_2.15-59.fc17.x86_64.drpm                                                 | 220 kB  00:00:00     
(11/37): libetpan-1.1-2.fc17_1.1-5.fc17.x86_64.drpm                                                          |  98 kB  00:00:00     
(12/37): libetpan-devel-1.1-2.fc17_1.1-5.fc17.x86_64.drpm                                                    |  29 kB  00:00:00     
(13/37): perl-Mail-DKIM-0.39-4.fc17_0.40-1.fc17.noarch.drpm                                                  |  72 kB  00:00:00     
(14/37): thunderbird-17.0.4-1.fc17_17.0.6-1.fc17.x86_64.drpm                                                 | 2.8 MB  00:00:00     
(15/37): wine-alsa-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                     |  44 kB  00:00:00     
(16/37): wine-alsa-1.5.25-1.fc17_1.5.29-1.fc17.x86_64.drpm                                                   |  43 kB  00:00:00     
(17/37): wine-capi-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                     |  41 kB  00:00:00     
(18/37): wine-cms-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                      |  43 kB  00:00:00     
(19/37): wine-common-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                                 |  71 kB  00:00:00     
(20/37): wine-core-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                     | 2.9 MB  00:00:00     
(21/37): wine-core-1.5.25-1.fc17_1.5.29-1.fc17.x86_64.drpm                                                   | 3.7 MB  00:00:00     
(22/37): wine-courier-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                          |  42 kB  00:00:00     
(23/37): wine-desktop-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                                |  91 kB  00:00:00     
(24/37): wine-filesystem-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                             |  42 kB  00:00:00     
(25/37): wine-ldap-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                     |  42 kB  00:00:00     
(26/37): wine-marlett-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                          |  41 kB  00:00:00     
(27/37): wine-ms-sans-serif-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                    |  44 kB  00:00:00     
(28/37): wine-openal-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                   |  42 kB  00:00:00     
(29/37): wine-pulseaudio-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                               |  42 kB  00:00:00     
(30/37): wine-pulseaudio-1.5.25-1.fc17_1.5.29-1.fc17.x86_64.drpm                                             |  45 kB  00:00:00     
(31/37): wine-small-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                            |  42 kB  00:00:00     
(32/37): wine-symbol-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                           |  41 kB  00:00:00     
(33/37): wine-system-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                           |  43 kB  00:00:00     
(34/37): wine-tahoma-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                           |  41 kB  00:00:00     
(35/37): wine-twain-1.5.25-1.fc17_1.5.29-1.fc17.i686.drpm                                                    |  43 kB  00:00:00     
(36/37): wine-wingdings-fonts-1.5.25-1.fc17_1.5.29-1.fc17.noarch.drpm                                        |  41 kB  00:00:00     
(37/37): xorg-x11-drv-openchrome-0.2.906-1.fc17_0.3.3-1.fc17.x86_64.drpm                                     | 108 kB  00:00:00     
Finishing rebuild of rpms, from deltarpms
<locally rebuilding deltarpms>                                                                               | 131 MB  00:01:12     
Presto reduced the update size by 82% (from 131 M to 24 M).
Package(s) data still to download: 62 M
(1/11): libdb-devel-5.2.36-5.fc17.x86_64.rpm                                                                 |  44 kB  00:00:00     
(2/11): liblockfile-devel-1.08-14.fc17.x86_64.rpm                                                            |  11 kB  00:00:00     
(3/11): nscd-2.15-59.fc17.x86_64.rpm                                                                         | 233 kB  00:00:00     
(4/11): wine-1.5.29-1.fc17.i686.rpm                                                                          |  41 kB  00:00:00     
(5/11): glibc-debuginfo-2.15-59.fc17.x86_64.rpm                                                              | 9.0 MB  00:00:03     
(6/11): wine-fixedsys-fonts-1.5.29-1.fc17.noarch.rpm                                                         |  53 kB  00:00:00     
(7/11): wine-fonts-1.5.29-1.fc17.noarch.rpm                                                                  |  41 kB  00:00:00     
(8/11): wine-systemd-1.5.29-1.fc17.noarch.rpm                                                                |  41 kB  00:00:00     
(9/11): wine-wow-1.5.29-1.fc17.i686.rpm                                                                      | 205 kB  00:00:00     
(10/11): glibc-debuginfo-common-2.15-59.fc17.x86_64.rpm                                                      | 8.1 MB  00:00:06     
(11/11): wine-debuginfo-1.5.29-1.fc17.x86_64.rpm                                                             |  45 MB  00:00:12     
------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                               3.8 MB/s |  62 MB     00:16     
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/include/db.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/include/db_185.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/include/db_cxx.h from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64
  file /usr/lib64/libdb.so from install of libdb-devel-5.2.36-5.fc17.x86_64 conflicts with file from package db4-devel-4.8.30-10.fc17.x86_64

Error Summary
-------------


Expected results:


Additional info:
Comment 1 Allen Hewes 2013-06-02 15:19:04 EDT
This issue has come up in the past without a real solution for Fedora 17:

https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=758491
db4-devel and libdb-devel have an implicit conflict

https://bugzilla.redhat.com/show_bug.cgi?id=839370
Clash with libdb
Comment 2 Allen Hewes 2013-06-02 15:28:08 EDT
libetpan-devel is what dragged in libdb-devel:
http://koji.fedoraproject.org/koji/buildinfo?buildID=402405

And from the change log, it was intentional.

So what Berkley DB libs should be used on Fedora 17? Because you can't have both libdb-devel and db4-devel installed.
Comment 3 Allen Hewes 2013-06-02 16:57:35 EDT
Created attachment 756099 [details]
libetpan.spec diff to correct libdb-devel getting dragged in versus using db4-devel.
Comment 4 Jan Staněk 2013-06-04 05:09:26 EDT
Unfortunately, these devel packages will allways be in conflict - it's only a different version of the library, after all.

Because the conflict is originally caused by libnetpan dependencies, I'm switching this to the libnetpan component.
Comment 5 Allen Hewes 2013-06-04 12:15:47 EDT
Thanks Jan. I couldn't change it after I created it.
Comment 6 Fedora End Of Life 2013-07-03 15:42:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 14:32:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.